function init(hero) {
	hero.setName("Quicksilver");
	hero.setTier(3 );
    hero.setVersion("\u00A7c\u00A7lX\u00A76\u00A7l-\u00A7e\u00A7lMEN\u00A7f")
	
	hero.setChestplate("Chestplate");
	hero.setLeggings("Leggings");
    hero.setBoots("Boots");
	
	hero.addPowers("mvh:xm_quicksilver");
	hero.addAttribute("BASE_SPEED_LEVELS", 3.0, 0);
	
	hero.addKeyBind("SUPER_SPEED", "Super Speed", 1);
	hero.addKeyBind("SLOW_MOTION", "Accelerated Perception", 2);

	hero.addAttributeProfile("SPEED", speedProfile);
    hero.setAttributeProfile(getAttributeProfile);
	hero.setDamageProfile(getDamageProfile);
    hero.addDamageProfile("SPEED_PUNCH", {
        "types": {
            "BLUNT": 1.0
        },
        "properties": {
            "HIT_COOLDOWN": 2
        }
    });
}

function speedProfile(profile) {
    profile.addAttribute("PUNCH_DAMAGE", 6, 0);
	profile.addAttribute("BOW_DRAWBACK", 1, 1);
	profile.addAttribute("STEP_HEIGHT", 18, 0);
	profile.addAttribute("BASE_SPEED_LEVELS", 3.0, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:speeding") ? "SPEED" : null;
}


function getDamageProfile(entity) {
    return entity.getData("fiskheroes:speeding") ? "SPEED_PUNCH" : null;
}